Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsToggleButtonUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.basic.BasicButtonUI
                  javax.swing.plaf.basic.BasicToggleButtonUI
                      com.sun.java.swing.plaf.windows.WindowsToggleButtonUI
                          com.jgoodies.looks.windows.WindowsToggleButtonUI

public final class WindowsToggleButtonUI
extends com.sun.java.swing.plaf.windows.WindowsToggleButtonUI

Allows to use an optional narrow button margin.

Version:
  $Revision: 1.3 $
Author:
  Karsten Lentzsch
See Also:
  `Options.IS_NARROW_KEY`

Field Summary

Fields inherited from class com.sun.java.swing.plaf.windows.WindowsToggleButtonUI
`dashedRectGapHeight, dashedRectGapWidth, dashedRectGapX, dashedRectGapY, focusColor`

Fields inherited from class javax.swing.plaf.basic.BasicButtonUI
`defaultTextIconGap, defaultTextShiftOffset`

Constructor Summary
`WindowsToggleButtonUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`protected void` | `installDefaults(AbstractButton b)` Installs defaults and honors the client property `isNarrow`.
`void` | `installListeners(AbstractButton b)` Installs an extra listener for a change of the isNarrow property.
`void` | `uninstallListeners(AbstractButton b)` Uninstalls the extra listener for a change of the isNarrow property.

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsToggleButtonUI
`getFocusColor, getPreferredSize, paint, paintButtonPressed, paintFocus, paintText, uninstallDefaults`

Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI
`getPropertyPrefix, getTextShiftOffset, paintIcon`

Methods inherited from class javax.swing.plaf.basic.BasicButtonUI
`clearTextShiftOffset, createButtonListener, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintIcon, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsToggleButtonUI

    public WindowsToggleButtonUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults(AbstractButton b)

  Installs defaults and honors the client property `isNarrow`.

### installListeners

    public void installListeners(AbstractButton b)

  Installs an extra listener for a change of the isNarrow property.

### uninstallListeners

    public void uninstallListeners(AbstractButton b)

  Uninstalls the extra listener for a change of the isNarrow property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 JGoodies Karsten Lentzsch. All Rights Reserved.